Home | All Classes | Grouped Classes | Index | Search

# Class CL_Zip_Archive

Zip archive. More...

Derived from: CL_InputSourceProvider
Derived by: none
Group: Core (I/O Data)

#include <ClanLib/core.h>

Construction:

CL_Zip_Archive | Constructs or loads a ZIP archive.

Attributes:

get_file_list | List of file entries in archive.

Operations:

open_source | Opens a file in the archive.
clone | Clones this input source provider.
get_pathname | Get full path to source:
create_relative | Returns a new inputsource provider object that uses a new path relative to current one.
create_file | Creates a new file entry
add_file | Adds a file to zip archive.
save | Saves zip archive.

Detailed description:

!group=Core/IO Data! !header=core.h!
Questions or comments, write to the ClanLib mailing list.